# # #
# /5/helpers.rb
# (c) 2009 Jan Lelis <mail@janlelis.de>. MIT License.
# See: https://rbjl.janlelis.com/5-playing-with-dijkstra
# # #

# this methods add some functionality to some existing classes - in ruby, every class can be 'reopened'!

# helper: trims the first char of both args and merges them into the object hash
class Hash
  def merge_without_first!(arg,arg_val)
    if arg
      arg = arg[1,arg.length].to_sym
      arg_val = arg_val.empty? ? true : arg_val[1,arg_val.length].to_sym
      self[arg] = arg_val
    end
  end
end

# helper: output currently configured file path
def File.full_path(prm_path,expanded=false)
  if prm_path[0] == '/' or prm_path[0] == '~' or prm_path[1] == ':' # too easy way to detect absolute pahts
    prm_path.to_s
  elsif expanded
    File.expand_path(Config::BasePathLabs + prm_path.to_s)
  else
    Config::BasePathLabs + prm_path.to_s
  end
end
